Plugins don't support 9.0 Mitaka

Bug #1548340 reported by Volodymyr Shypyguzov on 2016-02-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Matthew Mosesohn

Bug Description

Tests that are using example plugin and detached db, keystone, rabbit plugins are failing on 9.0 mitaka iso with the following message:

Plugin couldn't be enabled. Check plugin version. Test aborted

summary: - Add 9.0 Mitaka to the plugins metadata
+ Detached db, keystone, rabbit plugins don't support 9.0 Mitaka
summary: - Detached db, keystone, rabbit plugins don't support 9.0 Mitaka
+ Example plugin and detached db, keystone, rabbit plugins don't support
+ 9.0 Mitaka
description: updated
Changed in fuel:
assignee: nobody → Fuel QA Team (fuel-qa)
milestone: none → 9.0
importance: Undecided → High
Changed in fuel:
status: New → Confirmed

Reviewed: https://review.openstack.org/283516
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=26f3c326bfece9a620c2f88ef8581c4f3c4adcb0
Submitter: Jenkins
Branch: master

commit 26f3c326bfece9a620c2f88ef8581c4f3c4adcb0
Author: Tatyana Leontovich <email address hidden>
Date: Tue Feb 23 13:15:02 2016 +0200

    Fix attr error in vip_reservation_plugin

    * Add usage of fbp_copy_plugin() method
    * Replace usage of method update_yaml_in_container to fpb.change_remote_yaml()
    * Update metadata.yaml to become compatible with mitaka-9.0
    * Add show_step() usage

    Change-Id: Id1fa4dc6fb2b67351db3a2f139e509b23f0526bc
    Related-Bug: #1548340
    Related-Bug: #1548348

Changed in fuel:
assignee: Fuel QA Team (fuel-qa) → Fuel Python Team (fuel-python)
tags: added: area-python swarm-blocker
Dmitry Pyzhov (dpyzhov) on 2016-03-02
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Matthew Mosesohn (raytrac3r)
Dmitry Pyzhov (dpyzhov) on 2016-03-02
tags: added: area-plugins
tags: added: feature-plugins
removed: area-plugins

Fix proposed to branch: master
Review: https://review.openstack.org/287286

Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/287286
Committed: https://git.openstack.org/cgit/openstack/fuel-plugins/commit/?id=33ffbe1619d6fef3e94d19387be716fa2a4282b9
Submitter: Jenkins
Branch: master

commit 33ffbe1619d6fef3e94d19387be716fa2a4282b9
Author: Matthew Mosesohn <email address hidden>
Date: Wed Mar 2 18:59:29 2016 +0300

    Add 9.0 support to example plugins, add v2.0.0 tasks to v4 example

    Added both liberty-9.0 and mitaka-9.0 releases to example plugins
    (one is a placeholder, the second will be the final version).

    v4 example plugin now contains version 2.0.0 tasks.

    Change-Id: I2634ce6f38f18e7690230eec38636ee2d81b70c2
    Partial-Bug: #1548340

summary: - Example plugin and detached db, keystone, rabbit plugins don't support
- 9.0 Mitaka
+ Plugins don't support 9.0 Mitaka
Matthew Mosesohn (raytrac3r) wrote :

All example plugins and detach-* plugins now support 9.0 mitaka.

Changed in fuel:
status: In Progress → Fix Committed
tags: added: on-verification
Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers